qdbusxml2cpp-fix(1)

NAME
qdbusxml2cpp-fix - Produces the C++ code to implement the interfaces defined in the input file

SYNOPSIS
qdbusxml2cpp-fix [options...] [xml-or-xml-file] [interfaces...]

DESCRIPTION
Produces the C++ code to implement the interfaces defined in the input file.

OPTIONS

-a <filename>
    Write the adaptor code to <filename>

-c <classname>
    Use <classname> as the class name for the generated classes

-h  Show this information

-i <filename>
    Add #include to the output

-l <classname>
    When generating an adaptor, use <classname> as the parent class

-m  Generate #include "filename.moc" statements in the .cpp files

-N  Don't use namespaces

-p <filename>
    Write the proxy code to <filename>

-v  Be verbose.

-V  Show the program version and quit.

If the file name given to the options -a and -p does not end in .cpp or .h, the program will automatically append the suffixes and produce both files. You can also use a colon (:) to separate the header name from the source file name, as in '-a filename_p.h:filename.cpp'.

If you pass a dash (-) as the argument to either -p or -a, the output is written to the standard output

SEE ALSO
The full documentation for qdbusxml2cpp-fix is maintained as a Texinfo manual. If the info and qdbusxml2cpp-fix programs are properly installed at your site, the command

    info qdbusxml2cpp-fix

should give you access to the complete manual.